---
sidebar_label: CommonEventEmitter.removeAllListeners
---

# CommonEventEmitter.removeAllListeners() method

**Signature:**

```typescript
interface CommonEventEmitter {
  removeAllListeners(event?: EventType): CommonEventEmitter;
}
```

## Parameters

| Parameter | Type                                  | Description       |
| --------- | ------------------------------------- | ----------------- |
| event     | [EventType](./puppeteer.eventtype.md) | <i>(Optional)</i> |

**Returns:**

[CommonEventEmitter](./puppeteer.commoneventemitter.md)
